services = [
	'Read',
	'Write', 
	'HistoryRead',
	'HistoryUpdate', 

	'FindServers',
	'GetEndpoints',
	'RegisterServer',

	'Call',
	
	'CreateMonitoredItems',
	'DeleteMonitoredItems',
	'ModifyMonitoredItems',
	'SetMonitoringMode',
	'SetTriggering',

	'AddNodes',
	'AddReferences',
	'DeleteNodes',
	'DeleteReferences',
	
	'QueryFirst',
	'QueryNext',
	
	'ActivateSession',
	'CloseSession',
	'CreateSession',
	
	'CreateSubscription',
	'DeleteSubscription',
	'ModifySubscription',
	'Publish',
	'Republish',
	'SetPublishingMode',
	'TransferSubscription',

	'BrowseNext',
	'Browse',
	'RegisterNodes',
	'TranslateBrowsePathsToNodeIds',
	'UnregisterNodes'
]

for service in services:
	print "/** %s */" % service
	print service+"Throughput(DataType.Double,%sService.SERVICE_NAME, Metric.Throughput)," % service
	print service+"MinDuration(DataType.Double,%sService.SERVICE_NAME, Metric.MinDuration)," % service
	print service+"MaxDuration(DataType.Double,%sService.SERVICE_NAME, Metric.MaxDuration)," % service
	print service+"AverageDuration(DataType.Double,%sService.SERVICE_NAME, Metric.AverageDuration)," % service	
	print service+"LastDuration(DataType.Double,%sService.SERVICE_NAME, Metric.LastDuration)," % service
	print service+"LastCall(DataType.Int64,%sService.SERVICE_NAME, Metric.LastUpdate)," % service
	print service+"Count(DataType.Int64,%sService.SERVICE_NAME, Metric.Count)," % service
	print
